<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>rlPmicClkCfg_t Struct Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="functions.html"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">rlPmicClkCfg_t Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>mmwave radar device PMIC Clock output  
 <a href="structrl_pmic_clk_cfg__t.html#details">More...</a></p>

<p><code>#include &lt;control/mmwavelink/include/rl_device.h&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:ae55f41675e173e027223f1be03c7ab92"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae55f41675e173e027223f1be03c7ab92"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_pmic_clk_cfg__t.html#ae55f41675e173e027223f1be03c7ab92">pmicClkCtrl</a></td></tr>
<tr class="memdesc:ae55f41675e173e027223f1be03c7ab92"><td class="mdescLeft">&#160;</td><td class="mdescRight">This field controls the enable - disable of the PMIC clock. <br />
 Value Description <br />
 0x0 Disable PMIC clock <br />
 0x1 Enable PMIC clock <br />
. <br /></td></tr>
<tr class="separator:ae55f41675e173e027223f1be03c7ab92"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8ffc39305a02faf2e68e7b6759750dcd"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8ffc39305a02faf2e68e7b6759750dcd"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_pmic_clk_cfg__t.html#a8ffc39305a02faf2e68e7b6759750dcd">pmicClkSrc</a></td></tr>
<tr class="memdesc:a8ffc39305a02faf2e68e7b6759750dcd"><td class="mdescLeft">&#160;</td><td class="mdescRight">This field specifies the source of the PMIC clock. Applicable only in case of <br />
 PMIC clock enable. Else ignored. <br />
 Value Description <br />
 0x0 XTAL (as connected to the device) <br />
 0x2 600MHz PLL divided clock <br />
. <br /></td></tr>
<tr class="separator:a8ffc39305a02faf2e68e7b6759750dcd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adbdfb6eb66107cb693b5b7708f8c20a8"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="adbdfb6eb66107cb693b5b7708f8c20a8"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_pmic_clk_cfg__t.html#adbdfb6eb66107cb693b5b7708f8c20a8">srcClkDiv</a></td></tr>
<tr class="memdesc:adbdfb6eb66107cb693b5b7708f8c20a8"><td class="mdescLeft">&#160;</td><td class="mdescRight">This field specifies the division factor to be applie to source clock. <br />
 Applicable only in case of PMIC clock <br />
 enable. Else ignored. <br />
 Value Description <br />
 0x0 Divide by 1 <br />
 0x1 Divide by 2 <br />
 ... ... <br />
 0xFF Divide by 256 <br />
. <br /></td></tr>
<tr class="separator:adbdfb6eb66107cb693b5b7708f8c20a8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad853cab7bd920e5498d6e394bad50ca0"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad853cab7bd920e5498d6e394bad50ca0"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_pmic_clk_cfg__t.html#ad853cab7bd920e5498d6e394bad50ca0">modeSel</a></td></tr>
<tr class="memdesc:ad853cab7bd920e5498d6e394bad50ca0"><td class="mdescLeft">&#160;</td><td class="mdescRight">This field specifies the mode of operation for the PMIC clock generation. <br />
 Applicable only in case of PMIC clock <br />
 enable. Else ignored. <br />
 Value Description <br />
 0x0 Continuous mode (free running mode where the frequency <br />
 change/jump is triggered based on configured number of <br />
 internal clock ticks) <br />
 0x1 Chirp-to-Chirp staircase mode (frequency change/jump is <br />
 triggered at every chirp boundary) <br />
. <br /></td></tr>
<tr class="separator:ad853cab7bd920e5498d6e394bad50ca0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6a445a8c36b08a318e8552ea747f32af"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6a445a8c36b08a318e8552ea747f32af"></a>
rlUInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_pmic_clk_cfg__t.html#a6a445a8c36b08a318e8552ea747f32af">freqSlope</a></td></tr>
<tr class="memdesc:a6a445a8c36b08a318e8552ea747f32af"><td class="mdescLeft">&#160;</td><td class="mdescRight">Applicable only in case of PMIC clock enable. Else ignored. <br />
 Bit[25:0] - Frequency slope value to be applied in [8.18] format. <br />
 1 LSB = 1/218 <br />
 In continuous mode this value is accumulated every 100 MHz internal <br />
 clock tick with the seed as MIN_NDIV_VAL till MAX_NDIV_VAL is reached <br />
 In the stair case mode this value is accumulated every chirp with the <br />
 seed as MIN_NDIV_VAL till MAX_NDIV_VAL is reached <br />
. <br /></td></tr>
<tr class="separator:a6a445a8c36b08a318e8552ea747f32af"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab467078f3168b08fdf3a546b885aa850"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab467078f3168b08fdf3a546b885aa850"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_pmic_clk_cfg__t.html#ab467078f3168b08fdf3a546b885aa850">minNdivVal</a></td></tr>
<tr class="memdesc:ab467078f3168b08fdf3a546b885aa850"><td class="mdescLeft">&#160;</td><td class="mdescRight">Applicable only in case of PMIC clock enable. Else ignored. Min allowed divider <br />
 value (depends upon the highest desired clock frequency) <br />
. <br /></td></tr>
<tr class="separator:ab467078f3168b08fdf3a546b885aa850"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a680367752fdb681d3e8508c115690283"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a680367752fdb681d3e8508c115690283"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_pmic_clk_cfg__t.html#a680367752fdb681d3e8508c115690283">maxNdivVal</a></td></tr>
<tr class="memdesc:a680367752fdb681d3e8508c115690283"><td class="mdescLeft">&#160;</td><td class="mdescRight">Applicable only in case of PMIC clock enable. Else ignored. Max allowed divider <br />
 value (depends upon the lowest desired clock frequency) <br />
. <br /></td></tr>
<tr class="separator:a680367752fdb681d3e8508c115690283"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2deadf5ef19c8ec1fd93c041a20d5598"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2deadf5ef19c8ec1fd93c041a20d5598"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_pmic_clk_cfg__t.html#a2deadf5ef19c8ec1fd93c041a20d5598">clkDitherEn</a></td></tr>
<tr class="memdesc:a2deadf5ef19c8ec1fd93c041a20d5598"><td class="mdescLeft">&#160;</td><td class="mdescRight">Applicable only in case of PMIC clock enable. Else ignored. This field controls <br />
 the enable-disable of the clock dithering. Adds a pseudo random real number <br />
 (0 or 1) to the accumulated divide value. Hence it brings a random dithering <br />
 of 1 LSB. <br />
 Value Description <br />
 0x0 Clock dithering disabled <br />
 0x1 Clock dithering enabled <br />
. <br /></td></tr>
<tr class="separator:a2deadf5ef19c8ec1fd93c041a20d5598"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa08b1a03adf9c496d3e597bb3a4894d8"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa08b1a03adf9c496d3e597bb3a4894d8"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_pmic_clk_cfg__t.html#aa08b1a03adf9c496d3e597bb3a4894d8">reserved</a></td></tr>
<tr class="memdesc:aa08b1a03adf9c496d3e597bb3a4894d8"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for future use. <br /></td></tr>
<tr class="separator:aa08b1a03adf9c496d3e597bb3a4894d8"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>mmwave radar device PMIC Clock output </p>
</div><hr/>The documentation for this struct was generated from the following file:<ul>
<li>control/mmwavelink/include/rl_device.h</li>
</ul>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
